<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>
<f:view>
	<f:metadata>
		<f:viewParam name="id" value="#{admin.showLocalProjectBean.id}"/>
		<f:event type="jakarta.faces.event.PreRenderViewEvent"
            listener="#{admin.showLocalProjectBean.preRenderView}" />
	</f:metadata>

<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form">

		<h2><h:outputText value="#{messages.local_vo}: #{admin.showLocalProjectBean.entity.name}"/></h2>

		<p:messages id="messageBox" showDetail="true" />
		
		<p:panel header="#{messages.properties}">
			<p:panelGrid id="baseData" columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">
		
		        <h:outputText value="#{messages.id}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.id}"/>
		
		        <h:outputText value="#{messages.name}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.name}"/>
					
		        <h:outputText value="#{messages.group_name}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.groupName}"/>
					
		        <h:outputText value="#{messages['project.local_project.parent_vo']}:"/>
		        <h:panelGroup>
		        	<h:outputText value="#{admin.showLocalProjectBean.entity.parentProject.name}" rendered="#{admin.showLocalProjectBean.entity.parentProject != null}"/>
		        	<h:outputText value="no parent" rendered="#{admin.showLocalProjectBean.entity.parentProject == null}"/>
				</h:panelGroup>
				
		        <h:outputText value="#{messages.published}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.published}"/>
				
		        <h:outputText value="#{messages.approved}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.approved}"/>
				
		        <h:outputText value="#{messages.sub_groups_allowed}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.subProjectsAllowed}"/>

		        <h:outputText value="#{messages.attribute_prefix}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.attributePrefix}"/>
				
		        <h:outputText value="#{messages.attribute_name}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.attributeName}"/>
								
		        <h:outputText value="#{messages.services}:"/>
		        <ui:repeat value="#{admin.showLocalProjectBean.entity.projectServices}" var="s">
		        	<div><h:outputText value="#{s.service.name}"/></div>
				</ui:repeat>
				
				<h:outputText value="#{messages.project_group}:"/>
		        <h:outputText value="#{admin.showLocalProjectBean.entity.projectGroup.name} - (gidNumber: #{admin.showLocalProjectBean.entity.projectGroup.gidNumber})"/>
				
			</p:panelGrid>
			
			<h:link outcome="edit-local-project.xhtml" value="#{messages.edit}">
				<f:param name="projectId" value="#{admin.showLocalProjectBean.entity.id}"/>
			</h:link>
			
		</p:panel>
		
		<p:panel header="#{messages['project.admins']}">
			<p:dataTable id="adminData" style="min-width: 500px;" 
					value="#{admin.showLocalProjectBean.adminList}" var="a">
				<p:column width="64">
					<f:facet name="header">
						<h:outputText value="#{messages.id}" />
					</f:facet>
					<h:link outcome="/admin/user/show-admin-identity.xhtml" value="#{a.identity.id}">
			     		<f:param name="id" value="#{a.identity.id}"/>
					</h:link>
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.type}" />
					</f:facet>
					<h:outputText value="#{a.type}" />
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.local_username}" />
					</f:facet>
					<h:outputText value="#{a.identity.generatedLocalUsername}" />
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.email_address}" />
					</f:facet>
					<h:outputText value="#{a.identity.prefUser.email}" />
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.eppn}" />
					</f:facet>
					<h:outputText value="#{a.identity.prefUser.eppn}" />
				</p:column>
			</p:dataTable>

			<h:link outcome="edit-project-admins.xhtml" value="#{messages.edit_admins}">
				<f:param name="projectId" value="#{admin.showLocalProjectBean.entity.id}"/>
			</h:link>
		</p:panel>
		
		<p:panel header="#{messages.members}">
			<p:dataTable id="memberData" style="min-width: 500px;" 
					value="#{admin.showLocalProjectBean.memberList}" var="m">
				<p:column width="64">
					<f:facet name="header">
						<h:outputText value="#{messages.id}" />
					</f:facet>
					<h:link outcome="/admin/user/show-admin-identity.xhtml" value="#{m.identity.id}">
			     		<f:param name="id" value="#{m.identity.id}"/>
					</h:link>
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.local_username}" />
					</f:facet>
					<h:outputText value="#{m.identity.generatedLocalUsername}" />
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.email_address}" />
					</f:facet>
					<h:outputText value="#{m.identity.prefUser.email}" />
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.eppn}" />
					</f:facet>
					<h:outputText value="#{m.identity.prefUser.eppn}" />
				</p:column>
			</p:dataTable>
		</p:panel>

		<p:panel header="#{messages.tools}">
			<p:commandButton action="#{admin.showLocalProjectBean.syncAllMembersToGroup()}" value="Sync to group" />
			<p:commandButton action="#{admin.showLocalProjectBean.triggerGroupUpdate()}" value="Trigger group update" />
		</p:panel>
	</h:form>

	</ui:define>
</ui:composition>
</f:view>		
</body>
</html>
